QGIS Application - Feature request #3691
Drag & drop of layers between qgis instances
2011-03-30 04:38 AM - peppo -

Status: Open

Priority: Low

Assignee:

Category: Map Legend

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 13750
Description

It would be nice to use drag&drop Layers between different instances of qgis. When | have a layer with a style in some old project and |
would like to use the same layer in another project, i need to do the following.

In the old project: look up the source, save the style

In the new (existing) project: open the source, load the style

It would be cool to have this via drag and drop.

History

#1 - 2012-10-06 02:33 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#2 - 2015-11-14 07:14 AM - Médéric RIBREUX
- Operating System deleted (Windows)

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

- Status changed from Open to Feedback

Hello, bug triage...

whenever | try this, | can drag'n drop the layer from one qgis instance to another. But as soon as | try to show the layer, QGIS segfaults on QGIS 2.13

master !

#3 - 2015-12-17 01:32 AM - Médéric RIBREUX

- Status changed from Feedback to Open

#4 - 2017-05-01 12:50 AM - Giovanni Manghi
- Easy fix? set to No

#5 - 2017-05-06 11:33 AM - Regis Haubourg
- Description updated

For the record, CopyLayersAndGroupsToClipboard plugin offers that now. See [[http:/plugins.qgis.org/plugins/CopyLayersAndGroupsToClipboard/]]
